import pygame

class Tutorial:
    def __init__(self):
        pygame.init()
        self.window = pygame.display.set_mode((720, 480))
        pygame.display.set_caption('Pokémon')

        self.assets = {
            'background' : pygame.transform.scale(pygame.image.load('assets/tutorial.png'), (720, 480)),

            "fonte_titulo":  pygame.font.Font("assets/Univers Next Pro Heavy Condensed.ttf", 50),
            "fonte":  pygame.font.Font("assets/batalha/fonte/fonte.ttf", 30),
        }

    def desenha(self):
        self.window.blit(self.assets['background'], (0, 0))

        txt = pygame.font.Font.render(self.assets['fonte_titulo'], "Tutorial", True, (25, 25, 25))
        self.window.blit(txt, (self.window.get_width()//2 - txt.get_width()//2, 5))

        self.window.blit(pygame.font.Font.render(self.assets['fonte'], "Use WASD ou as setas para se movimentar e usar os menus", True, (25, 25, 25)), (30, 55))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], "Espaco para confirmar, ESC para voltar e pausar o jogo", True, (25, 25, 25)), (30, 80))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], "O nome é permitido apenas letras e numeros, enter para confirmar o nome", True, (25, 25, 25)), (30, 105))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], "No lobby voce pode comprar itens na loja, mudar seu", True, (25, 25, 25)), (30, 145))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], "time no PC e ver os antigos campeoes na estatua", True, (25, 25, 25)), (30, 170))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], "Seu objetivo é derrotar a ELITE FOUR, a cada vitoria uma", True, (25, 25, 25)), (30, 210))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], "nova sala é liberada. Apos vencer todos, voce podera batalhar", True, (25, 25, 25)), (30, 235))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], "o campeao, valendo o titulo de novo campeao da liga Pokémon", True, (25, 25, 25)), (30, 260))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], 'Caso esteja muito dificil, é possivel apertar "C" 5 vezes', True, (25, 25, 25)), (30, 300))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], 'em qualquer sala para abrir a proxima porta. Existe tambem um Magikarp no', True, (25, 25, 25)), (30, 325))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], 'PC que pode matar qualquer Pokémon com 1 ataque, o Super Splash', True, (25, 25, 25)), (30, 350))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], "O nome do campeao e seu time ficara salvo para o proximo player que", True, (25, 25, 25)), (30, 390))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], 'enfrentar e no quadro de campeoes, caso o player use os cheats', True, (25, 25, 25)), (30, 415))
        self.window.blit(pygame.font.Font.render(self.assets['fonte'], "para ganhar, ficara avisado no quadro", True, (25, 25, 25)), (30, 440))
        



        pygame.display.update()

    def update(self):
        for evento in pygame.event.get():
            if evento.type == pygame.QUIT:
                return 'sair'
            if evento.type == pygame.KEYDOWN and evento.key == pygame.K_ESCAPE:
                return 'intro'